<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('rooms', function (Blueprint $table) {
            $table->id();
            $table->string('slug')->nullable();


            $table->integer('category_id')->nullable();
            $table->string('image')->nullable();
            $table->string('video')->nullable();
            $table->string('price')->nullable();


            $table->string('title_az')->nullable();
            $table->string('title_ru')->nullable();
            $table->string('title_en')->nullable();

            $table->longText('description_az')->nullable();
            $table->longText('description_ru')->nullable();
            $table->longText('description_en')->nullable();

            $table->boolean('show_in_main')->default(false);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('rooms');
    }
};
